Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005764 [JEDI VCL] 00 JVCL Components minor always 2012-01-10 14:59 2012-09-10 14:15
Reporter grubste View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005764: TJvPopupMenu: Non Autochecked images not centered in WinXP style
Description Creating a popup menu with TJvPopupMenu, setting the style to WinXP und adding autochecked and non autochecked menu items with images assigned, the autochecked images are centered fine, the non autochecked images are right aligned.
Additional Information Screenshot attached.
Tags No tags attached.
Attached Files png file icon JvPopupMenu_WinXP-Style_Non-Autocheck.png [^] (3,417 bytes) 2012-01-10 14:59
zip file icon TJvPopupMenu.zip [^] (87,649 bytes) 2012-04-07 15:14

- Relationships

-  Notes
(0019312)
grubste (reporter)
2012-01-12 16:49

OK, this is not related to the AutoCheck property.
The TJvPopUpMenu has an imagelist assigned, but actually the two menuitems, where the images are shown out of line, have a direct bitmap assigned, itemindex is -1.
(0019458)
obones (administrator)
2012-02-22 15:04

Please provide the zipped sources of a sample application showing this
(0019688)
grubste (reporter)
2012-04-07 15:17

Project showing this is attached now.
The JvPopUpMenu.Style has to be set to msXP.
The last menuitem has a direct assigned image, the other two get it from the associated imagelist.
(0019926)
obones (administrator)
2012-06-12 16:17

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2012-01-10 14:59 grubste New Issue
2012-01-10 14:59 grubste File Added: JvPopupMenu_WinXP-Style_Non-Autocheck.png
2012-01-12 16:49 grubste Note Added: 0019312
2012-02-22 15:04 obones Note Added: 0019458
2012-02-22 15:04 obones Status new => feedback
2012-04-07 15:14 grubste Issue Monitored: grubste
2012-04-07 15:14 grubste File Added: TJvPopupMenu.zip
2012-04-07 15:17 grubste Note Added: 0019688
2012-06-11 17:39 obones Status feedback => acknowledged
2012-06-12 16:17 obones Note Added: 0019926
2012-06-12 16:17 obones Status acknowledged => resolved
2012-06-12 16:17 obones Fixed in Version => Daily / SVN
2012-06-12 16:17 obones Resolution open => fixed
2012-06-12 16:17 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46
2013-05-25 21:05 grubste Issue End Monitor: grubste


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker